## ros-indigo-roch-gazebo 1.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_gazebo)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

catkin_add_env_hooks(25.roch-gazebo
  SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
roslaunch_add_file_check(launch)

install(
  DIRECTORY launch worlds maps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-roch-gazebo (1.0.12-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-indigo-roch-gazebo (1.0.11-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-indigo-roch-gazebo (1.0.10-0trusty) trusty; urgency=high

  * Add two launch files of gmapping and amcl.
  * Fixed bug that can not find empty_world.launch in gazebo_ros.
  * Add map files in directory of maps.
  * Changes gazebo worlds that origin is too big.

 -- Carl <wzhang@softrobtech.com>  Sun, 05 Feb 2017 16:00:00 -0000

ros-indigo-roch-gazebo (1.0.9-0trusty) trusty; urgency=high

  * Remove 50.roch_gazebo.sh file in directory of env-hooks.

 -- Carl <wzhang@softrobtech.com>  Sun, 05 Feb 2017 16:00:00 -0000

ros-indigo-roch-gazebo (1.0.8-0trusty) trusty; urgency=high

  * Adjust structure of roch_gazebo.
  * Add new gazebo world and delete old world file.
  * Add new robot.launch.xml for load model.
  * Modify all mainly files for suit Roch.

 -- Carl <wzhang@softrobtech.com>  Mon, 23 Jan 2017 16:00:00 -0000

ros-indigo-roch-gazebo (1.0.7-0trusty) trusty; urgency=high

  * Modify some websites to correct.

 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-indigo-roch-gazebo (1.0.6-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-indigo-roch-gazebo (0.0.1-0trusty) trusty; urgency=high

  * Initial release for Indigo.
  * Reference husky_simulator.

 -- Carl <wzhang@softrobtech.com>  Thu, 29 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-roch-gazebo
Section: misc
Priority: extra
Maintainer: Carl <wzhang@softrobtech.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/roch_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-roch-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-gazebo-ros-control, ros-indigo-hector-gazebo-plugins, ros-indigo-map-server, ros-indigo-pointcloud-to-laserscan, ros-indigo-robot-state-publisher, ros-indigo-roch-bringup, ros-indigo-roch-control, ros-indigo-roch-description, ros-indigo-roch-navigation, ros-indigo-rostopic
Description: SawYer roch Simulator bringup

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roch-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
